### Method

# Notify Notification update

#### Declaration [src]

    gboolean
    notify_notification_update (
      NotifyNotification* notification,
      const char* summary,
      const char* body,
      const char* icon
    )

#### Description [src]

Updates the notification text and icon.

This won’t send the update out and display it on the screen. For that, you will need to call `notify_notification_show()`.

#### Parameters

`summary`

  Type: `const char*`

  The new required summary text.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`body`

  Type: `const char*`

  The optional body text.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`icon`

  Type: `const char*`

  The optional icon theme icon name or filename.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE`, unless an invalid parameter was passed.